跳到主要內容

Ubuntu 7.10和ASUS L4不合

在下有一台Asus L4000,原本裝Ubuntu 7.04過著幸福快樂的日子,這幾天就把它升級到7.10。升級完就開始常當機;原本以為是系統裝爛,於是重新安裝更慘,安裝到一半就掛點。

鳥毅也算是重灌狂人等級,一輩子都在追求新版軟體;不想再灌回Ubuntu 7.04,於是就抓PCBSD試試。

忠實讀者會問說:耶...不是才說不用PCBSD嗎? 因為現在FreeBSD的jdk6已經成熟,而PCBSD骨子裏還是FreeBSD,只是裝個有UI的FreeBSD,省掉一些make的時間,如此而已。

目前的進度是:在PCBSD的KDE介面下,只用了200~300M的RAM,但是套件實在少得可憐,還是得自己從ports安裝套件 Orz。雖然啟動Compiz,仍然沒特效,應該是不支援sis 650吧?

好消息是:CPU的loading非常輕,可能是跑的daemon也少啦...至少不像在Ubuntu 7.10般保持在100%的loading。現在就只能慢慢地等待從ports build Gnome囉...

Update:最近是帶賽嗎?又遇到網路有問題,開機十次有九次都抓不到,ifconfig sis0顯示
media: auto(none)
幸好是我熟悉的FreeBSD,猜想是用auto找錯,於是就在rc.conf把
ifconfig_sis0="inet 192.168.1.10 netmask 255.255.255.0"
改成
ifconfig_sis0="inet 192.168.1.10 netmask 255.255.255.0 media UTP"


再Update:換成Ubuntu 8.04後又過著快樂的日子,但8.10又不支援SIS顯卡。

留言

gene寫道…
佩服耶 !

請問
l4 裝 7.04 都相容嗎
有步驟嗎(須讀取原版的驅動程式等嗎 )

或 bsd ?
或其它的經驗建議


之前都遇到顯示的問題 就退卻了
可否maul me :nengyeu@gmail.com
鳥毅寫道…
gene:
L4與7.04相容性沒問題,我用了近半年。至於driver,不要想太多,Ubuntu全幫你包好了。顯示並不是問題,只是L4的SIS chip不支援特效。

至於某些function key不能work的問題,請去看看Linux雜誌,記得這兩個月某一本書上有寫。

PCBSD我也試過了,包的套件太少,而且中文化不完全。若從ports打造FreeBSD Desktop,大概要等一星期的build時間,還必須自行校調,算了吧。

我到現在仍不知為何7.10在L4上會出現如此嚴重的問題,正期待8.04中...

這個網誌中的熱門文章

自然人憑證讀卡機驅動程式

鳥毅用的是第一代的自然人憑證讀卡機,EZ100PU(後來有同事買EZmini可以讀SIM卡似乎更好),每年報稅時用一次。

本來只是要申請些政府業務,一時之間找不到光碟,沒想到在驅動程式下載居然看到Linux和Mac的驅動程式,剩下的就是政府單位的網頁和程式應該改版了吧!!!

在Windows Server設定L2TP over IPSec VPN

簡單地說,macOS Sierra與iOS 10發表後,大家忽然發現Apple不再支援PPTP,所以一定得設定其他的VPN型態。若不要另外裝client,用L2TP是最方便的,SSL VPN雖然好,但若沒有安裝Agent要連線到任一電腦或是非網頁服務還是挺麻煩的。